/*
 * BPPair.java
 * Copyright (c) 2008 kbinani
 *
 * This file is part of jp.sourceforge.lipsync.vsq.
 *
 * jp.sourceforge.lipsync.vsq is free software; you can redistribute it and/or
 * modify it under the terms of the BSD License.
 *
 * jp.sourceforge.lipsync.vsq is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
package jp.sourceforge.lipsync.vsq;

public class TempoTableEntry implements Comparable<TempoTableEntry>, Cloneable {
    //private int m_clock;
    public int Clock;
    //private int m_tempo;
    public int Tempo;
    //private double m_time;
    public double Time;

    /*public property int Tempo {
    get {
    return m_tempo;
    }
    set {
    m_tempo = value;
    }
    };*/
    /*public property double Time {
    get {
    return m_time;
    }
    set {
    m_time = value;
    }
    };*/
    /*public property int Clock {
    get {
    return m_clock;
    }
    set {
    m_clock = value;
    }
    };*/
    public Object clone() {
        return new TempoTableEntry( Clock, Tempo, Time );
    }

    public TempoTableEntry( int _index, int _tempo, double _time ) {
        this.Clock = _index;
        this.Tempo = _tempo;
        this.Time = _time;
    }

    public int compareTo( TempoTableEntry entry ) {
        return this.Clock - entry.Clock;
    }

    public boolean equals( TempoTableEntry entry ) {
        if ( this.Clock == entry.Clock ) {
            return true;
        } else {
            return false;
        }
    }

}
